from django.urls import path
from . import views

urlpatterns = [
    path("", views.index, name="index"),
    path("write", views.write_new_report, name="write"),
    path("report/<int:report_id>", views.report_detail_page, name="report_detail"),
    path("report/<int:report_id>/pdf", views.report_pdf_route, name="report_pdf"),
    path("report/<int:report_id>/html", views.report_html_route, name="report_html"),
    path("report/<int:report_id>/png", views.report_png_route, name="report_png"),
    path("reports", views.reports_list, name="reports_list"),
    path("draft", views.report_draft_update, name="report_draft_update"),
    path("settings", views.settings_page, name="settings"),
]
